Summary: Electric Fence C memory debugging library
Name: ElectricFence
Version: 2.2.0
Release: 1
Group: Development/Debuggers
Copyright: GPL
Url: http://perens.com/FreeSoftware/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.perens.com/pub/ElectricFence/Beta/ElectricFence-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Electric Fence is a libary that can be used for C programming and 
debugging.  You link it in at compile time and it will warn you of
possible problems such as free'ing memory that doesn't exist, etc.


%prep
%setup -q


%build
make CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,man/man3}
make install prefix=$RPM_BUILD_ROOT/usr


%files
%defattr(-,root,root)
%doc README CHANGES COPYING
/usr/bin/*
/usr/lib/*
/usr/man/man*/*


%clean
rm -rf $RPM_BUILD_ROOT

